// Code generated by protoc-gen-go. DO NOT EDIT.
// source: pkg/belugactld/belugactld.proto

package belugactld

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

//
// Belugactld API - control experiment node power.
// nodeid can be either experiment node name or site node name
//
// This is the client (end user facing) API.
//
type SoftCycleRequest struct {
	Nodeids              []string `protobuf:"bytes,1,rep,name=nodeids,proto3" json:"nodeids,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SoftCycleRequest) Reset()         { *m = SoftCycleRequest{} }
func (m *SoftCycleRequest) String() string { return proto.CompactTextString(m) }
func (*SoftCycleRequest) ProtoMessage()    {}
func (*SoftCycleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{0}
}

func (m *SoftCycleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SoftCycleRequest.Unmarshal(m, b)
}
func (m *SoftCycleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SoftCycleRequest.Marshal(b, m, deterministic)
}
func (m *SoftCycleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SoftCycleRequest.Merge(m, src)
}
func (m *SoftCycleRequest) XXX_Size() int {
	return xxx_messageInfo_SoftCycleRequest.Size(m)
}
func (m *SoftCycleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SoftCycleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SoftCycleRequest proto.InternalMessageInfo

func (m *SoftCycleRequest) GetNodeids() []string {
	if m != nil {
		return m.Nodeids
	}
	return nil
}

type SoftCycleReply struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SoftCycleReply) Reset()         { *m = SoftCycleReply{} }
func (m *SoftCycleReply) String() string { return proto.CompactTextString(m) }
func (*SoftCycleReply) ProtoMessage()    {}
func (*SoftCycleReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{1}
}

func (m *SoftCycleReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SoftCycleReply.Unmarshal(m, b)
}
func (m *SoftCycleReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SoftCycleReply.Marshal(b, m, deterministic)
}
func (m *SoftCycleReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SoftCycleReply.Merge(m, src)
}
func (m *SoftCycleReply) XXX_Size() int {
	return xxx_messageInfo_SoftCycleReply.Size(m)
}
func (m *SoftCycleReply) XXX_DiscardUnknown() {
	xxx_messageInfo_SoftCycleReply.DiscardUnknown(m)
}

var xxx_messageInfo_SoftCycleReply proto.InternalMessageInfo

// Hard cycle is power off, wait for a time, power on.
type HardCycleRequest struct {
	Nodeids              []string `protobuf:"bytes,1,rep,name=nodeids,proto3" json:"nodeids,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *HardCycleRequest) Reset()         { *m = HardCycleRequest{} }
func (m *HardCycleRequest) String() string { return proto.CompactTextString(m) }
func (*HardCycleRequest) ProtoMessage()    {}
func (*HardCycleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{2}
}

func (m *HardCycleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HardCycleRequest.Unmarshal(m, b)
}
func (m *HardCycleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HardCycleRequest.Marshal(b, m, deterministic)
}
func (m *HardCycleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HardCycleRequest.Merge(m, src)
}
func (m *HardCycleRequest) XXX_Size() int {
	return xxx_messageInfo_HardCycleRequest.Size(m)
}
func (m *HardCycleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_HardCycleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_HardCycleRequest proto.InternalMessageInfo

func (m *HardCycleRequest) GetNodeids() []string {
	if m != nil {
		return m.Nodeids
	}
	return nil
}

type HardCycleReply struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *HardCycleReply) Reset()         { *m = HardCycleReply{} }
func (m *HardCycleReply) String() string { return proto.CompactTextString(m) }
func (*HardCycleReply) ProtoMessage()    {}
func (*HardCycleReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{3}
}

func (m *HardCycleReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HardCycleReply.Unmarshal(m, b)
}
func (m *HardCycleReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HardCycleReply.Marshal(b, m, deterministic)
}
func (m *HardCycleReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HardCycleReply.Merge(m, src)
}
func (m *HardCycleReply) XXX_Size() int {
	return xxx_messageInfo_HardCycleReply.Size(m)
}
func (m *HardCycleReply) XXX_DiscardUnknown() {
	xxx_messageInfo_HardCycleReply.DiscardUnknown(m)
}

var xxx_messageInfo_HardCycleReply proto.InternalMessageInfo

type PowerOffRequest struct {
	Nodeids              []string `protobuf:"bytes,1,rep,name=nodeids,proto3" json:"nodeids,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PowerOffRequest) Reset()         { *m = PowerOffRequest{} }
func (m *PowerOffRequest) String() string { return proto.CompactTextString(m) }
func (*PowerOffRequest) ProtoMessage()    {}
func (*PowerOffRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{4}
}

func (m *PowerOffRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PowerOffRequest.Unmarshal(m, b)
}
func (m *PowerOffRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PowerOffRequest.Marshal(b, m, deterministic)
}
func (m *PowerOffRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PowerOffRequest.Merge(m, src)
}
func (m *PowerOffRequest) XXX_Size() int {
	return xxx_messageInfo_PowerOffRequest.Size(m)
}
func (m *PowerOffRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_PowerOffRequest.DiscardUnknown(m)
}

var xxx_messageInfo_PowerOffRequest proto.InternalMessageInfo

func (m *PowerOffRequest) GetNodeids() []string {
	if m != nil {
		return m.Nodeids
	}
	return nil
}

type PowerOffReply struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PowerOffReply) Reset()         { *m = PowerOffReply{} }
func (m *PowerOffReply) String() string { return proto.CompactTextString(m) }
func (*PowerOffReply) ProtoMessage()    {}
func (*PowerOffReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{5}
}

func (m *PowerOffReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PowerOffReply.Unmarshal(m, b)
}
func (m *PowerOffReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PowerOffReply.Marshal(b, m, deterministic)
}
func (m *PowerOffReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PowerOffReply.Merge(m, src)
}
func (m *PowerOffReply) XXX_Size() int {
	return xxx_messageInfo_PowerOffReply.Size(m)
}
func (m *PowerOffReply) XXX_DiscardUnknown() {
	xxx_messageInfo_PowerOffReply.DiscardUnknown(m)
}

var xxx_messageInfo_PowerOffReply proto.InternalMessageInfo

type PowerOnRequest struct {
	Nodeids              []string `protobuf:"bytes,1,rep,name=nodeids,proto3" json:"nodeids,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PowerOnRequest) Reset()         { *m = PowerOnRequest{} }
func (m *PowerOnRequest) String() string { return proto.CompactTextString(m) }
func (*PowerOnRequest) ProtoMessage()    {}
func (*PowerOnRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{6}
}

func (m *PowerOnRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PowerOnRequest.Unmarshal(m, b)
}
func (m *PowerOnRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PowerOnRequest.Marshal(b, m, deterministic)
}
func (m *PowerOnRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PowerOnRequest.Merge(m, src)
}
func (m *PowerOnRequest) XXX_Size() int {
	return xxx_messageInfo_PowerOnRequest.Size(m)
}
func (m *PowerOnRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_PowerOnRequest.DiscardUnknown(m)
}

var xxx_messageInfo_PowerOnRequest proto.InternalMessageInfo

func (m *PowerOnRequest) GetNodeids() []string {
	if m != nil {
		return m.Nodeids
	}
	return nil
}

type PowerOnReply struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PowerOnReply) Reset()         { *m = PowerOnReply{} }
func (m *PowerOnReply) String() string { return proto.CompactTextString(m) }
func (*PowerOnReply) ProtoMessage()    {}
func (*PowerOnReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{7}
}

func (m *PowerOnReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PowerOnReply.Unmarshal(m, b)
}
func (m *PowerOnReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PowerOnReply.Marshal(b, m, deterministic)
}
func (m *PowerOnReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PowerOnReply.Merge(m, src)
}
func (m *PowerOnReply) XXX_Size() int {
	return xxx_messageInfo_PowerOnReply.Size(m)
}
func (m *PowerOnReply) XXX_DiscardUnknown() {
	xxx_messageInfo_PowerOnReply.DiscardUnknown(m)
}

var xxx_messageInfo_PowerOnReply proto.InternalMessageInfo

type StatusRequest struct {
	Nodeids              []string `protobuf:"bytes,1,rep,name=nodeids,proto3" json:"nodeids,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StatusRequest) Reset()         { *m = StatusRequest{} }
func (m *StatusRequest) String() string { return proto.CompactTextString(m) }
func (*StatusRequest) ProtoMessage()    {}
func (*StatusRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{8}
}

func (m *StatusRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StatusRequest.Unmarshal(m, b)
}
func (m *StatusRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StatusRequest.Marshal(b, m, deterministic)
}
func (m *StatusRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StatusRequest.Merge(m, src)
}
func (m *StatusRequest) XXX_Size() int {
	return xxx_messageInfo_StatusRequest.Size(m)
}
func (m *StatusRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StatusRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StatusRequest proto.InternalMessageInfo

func (m *StatusRequest) GetNodeids() []string {
	if m != nil {
		return m.Nodeids
	}
	return nil
}

type NodeStatus struct {
	Resource             string   `protobuf:"bytes,1,opt,name=resource,proto3" json:"resource,omitempty"`
	Xpname               string   `protobuf:"bytes,2,opt,name=xpname,proto3" json:"xpname,omitempty"`
	Status               string   `protobuf:"bytes,3,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NodeStatus) Reset()         { *m = NodeStatus{} }
func (m *NodeStatus) String() string { return proto.CompactTextString(m) }
func (*NodeStatus) ProtoMessage()    {}
func (*NodeStatus) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{9}
}

func (m *NodeStatus) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NodeStatus.Unmarshal(m, b)
}
func (m *NodeStatus) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NodeStatus.Marshal(b, m, deterministic)
}
func (m *NodeStatus) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NodeStatus.Merge(m, src)
}
func (m *NodeStatus) XXX_Size() int {
	return xxx_messageInfo_NodeStatus.Size(m)
}
func (m *NodeStatus) XXX_DiscardUnknown() {
	xxx_messageInfo_NodeStatus.DiscardUnknown(m)
}

var xxx_messageInfo_NodeStatus proto.InternalMessageInfo

func (m *NodeStatus) GetResource() string {
	if m != nil {
		return m.Resource
	}
	return ""
}

func (m *NodeStatus) GetXpname() string {
	if m != nil {
		return m.Xpname
	}
	return ""
}

func (m *NodeStatus) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type StatusReply struct {
	Status               []*NodeStatus `protobuf:"bytes,1,rep,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *StatusReply) Reset()         { *m = StatusReply{} }
func (m *StatusReply) String() string { return proto.CompactTextString(m) }
func (*StatusReply) ProtoMessage()    {}
func (*StatusReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{10}
}

func (m *StatusReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StatusReply.Unmarshal(m, b)
}
func (m *StatusReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StatusReply.Marshal(b, m, deterministic)
}
func (m *StatusReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StatusReply.Merge(m, src)
}
func (m *StatusReply) XXX_Size() int {
	return xxx_messageInfo_StatusReply.Size(m)
}
func (m *StatusReply) XXX_DiscardUnknown() {
	xxx_messageInfo_StatusReply.DiscardUnknown(m)
}

var xxx_messageInfo_StatusReply proto.InternalMessageInfo

func (m *StatusReply) GetStatus() []*NodeStatus {
	if m != nil {
		return m.Status
	}
	return nil
}

//
// Management Service interface.
// Called by site facing processes to manage the Belugactld instance.
//
type SetNodeInfoRequest struct {
	Resource             string   `protobuf:"bytes,1,opt,name=resource,proto3" json:"resource,omitempty"`
	Xpname               string   `protobuf:"bytes,2,opt,name=xpname,proto3" json:"xpname,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SetNodeInfoRequest) Reset()         { *m = SetNodeInfoRequest{} }
func (m *SetNodeInfoRequest) String() string { return proto.CompactTextString(m) }
func (*SetNodeInfoRequest) ProtoMessage()    {}
func (*SetNodeInfoRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{11}
}

func (m *SetNodeInfoRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetNodeInfoRequest.Unmarshal(m, b)
}
func (m *SetNodeInfoRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetNodeInfoRequest.Marshal(b, m, deterministic)
}
func (m *SetNodeInfoRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetNodeInfoRequest.Merge(m, src)
}
func (m *SetNodeInfoRequest) XXX_Size() int {
	return xxx_messageInfo_SetNodeInfoRequest.Size(m)
}
func (m *SetNodeInfoRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SetNodeInfoRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SetNodeInfoRequest proto.InternalMessageInfo

func (m *SetNodeInfoRequest) GetResource() string {
	if m != nil {
		return m.Resource
	}
	return ""
}

func (m *SetNodeInfoRequest) GetXpname() string {
	if m != nil {
		return m.Xpname
	}
	return ""
}

type SetNodeInfoReply struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SetNodeInfoReply) Reset()         { *m = SetNodeInfoReply{} }
func (m *SetNodeInfoReply) String() string { return proto.CompactTextString(m) }
func (*SetNodeInfoReply) ProtoMessage()    {}
func (*SetNodeInfoReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{12}
}

func (m *SetNodeInfoReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SetNodeInfoReply.Unmarshal(m, b)
}
func (m *SetNodeInfoReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SetNodeInfoReply.Marshal(b, m, deterministic)
}
func (m *SetNodeInfoReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SetNodeInfoReply.Merge(m, src)
}
func (m *SetNodeInfoReply) XXX_Size() int {
	return xxx_messageInfo_SetNodeInfoReply.Size(m)
}
func (m *SetNodeInfoReply) XXX_DiscardUnknown() {
	xxx_messageInfo_SetNodeInfoReply.DiscardUnknown(m)
}

var xxx_messageInfo_SetNodeInfoReply proto.InternalMessageInfo

type DeleteNodeInfoRequest struct {
	Resource             string   `protobuf:"bytes,1,opt,name=resource,proto3" json:"resource,omitempty"`
	Xpname               string   `protobuf:"bytes,2,opt,name=xpname,proto3" json:"xpname,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteNodeInfoRequest) Reset()         { *m = DeleteNodeInfoRequest{} }
func (m *DeleteNodeInfoRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteNodeInfoRequest) ProtoMessage()    {}
func (*DeleteNodeInfoRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{13}
}

func (m *DeleteNodeInfoRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteNodeInfoRequest.Unmarshal(m, b)
}
func (m *DeleteNodeInfoRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteNodeInfoRequest.Marshal(b, m, deterministic)
}
func (m *DeleteNodeInfoRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteNodeInfoRequest.Merge(m, src)
}
func (m *DeleteNodeInfoRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteNodeInfoRequest.Size(m)
}
func (m *DeleteNodeInfoRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteNodeInfoRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteNodeInfoRequest proto.InternalMessageInfo

func (m *DeleteNodeInfoRequest) GetResource() string {
	if m != nil {
		return m.Resource
	}
	return ""
}

func (m *DeleteNodeInfoRequest) GetXpname() string {
	if m != nil {
		return m.Xpname
	}
	return ""
}

type DeleteNodeInfoReply struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteNodeInfoReply) Reset()         { *m = DeleteNodeInfoReply{} }
func (m *DeleteNodeInfoReply) String() string { return proto.CompactTextString(m) }
func (*DeleteNodeInfoReply) ProtoMessage()    {}
func (*DeleteNodeInfoReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_910725840ded6ddf, []int{14}
}

func (m *DeleteNodeInfoReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteNodeInfoReply.Unmarshal(m, b)
}
func (m *DeleteNodeInfoReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteNodeInfoReply.Marshal(b, m, deterministic)
}
func (m *DeleteNodeInfoReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteNodeInfoReply.Merge(m, src)
}
func (m *DeleteNodeInfoReply) XXX_Size() int {
	return xxx_messageInfo_DeleteNodeInfoReply.Size(m)
}
func (m *DeleteNodeInfoReply) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteNodeInfoReply.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteNodeInfoReply proto.InternalMessageInfo

func init() {
	proto.RegisterType((*SoftCycleRequest)(nil), "belugactld.SoftCycleRequest")
	proto.RegisterType((*SoftCycleReply)(nil), "belugactld.SoftCycleReply")
	proto.RegisterType((*HardCycleRequest)(nil), "belugactld.HardCycleRequest")
	proto.RegisterType((*HardCycleReply)(nil), "belugactld.HardCycleReply")
	proto.RegisterType((*PowerOffRequest)(nil), "belugactld.PowerOffRequest")
	proto.RegisterType((*PowerOffReply)(nil), "belugactld.PowerOffReply")
	proto.RegisterType((*PowerOnRequest)(nil), "belugactld.PowerOnRequest")
	proto.RegisterType((*PowerOnReply)(nil), "belugactld.PowerOnReply")
	proto.RegisterType((*StatusRequest)(nil), "belugactld.StatusRequest")
	proto.RegisterType((*NodeStatus)(nil), "belugactld.NodeStatus")
	proto.RegisterType((*StatusReply)(nil), "belugactld.StatusReply")
	proto.RegisterType((*SetNodeInfoRequest)(nil), "belugactld.SetNodeInfoRequest")
	proto.RegisterType((*SetNodeInfoReply)(nil), "belugactld.SetNodeInfoReply")
	proto.RegisterType((*DeleteNodeInfoRequest)(nil), "belugactld.DeleteNodeInfoRequest")
	proto.RegisterType((*DeleteNodeInfoReply)(nil), "belugactld.DeleteNodeInfoReply")
}

func init() {
	proto.RegisterFile("pkg/belugactld/belugactld.proto", fileDescriptor_910725840ded6ddf)
}

var fileDescriptor_910725840ded6ddf = []byte{
	// 425 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x94, 0xdf, 0x6e, 0xda, 0x30,
	0x14, 0xc6, 0x15, 0x90, 0x80, 0x1c, 0x46, 0x88, 0x3c, 0xc1, 0x32, 0x0f, 0x0d, 0x96, 0x2b, 0xf6,
	0x47, 0x4c, 0x62, 0xb7, 0x9b, 0x26, 0xb1, 0x21, 0x31, 0xa1, 0xfd, 0x11, 0xec, 0xa2, 0xb7, 0x81,
	0x38, 0xa8, 0xaa, 0x1b, 0xa7, 0x89, 0xa3, 0x36, 0x0f, 0xd6, 0xc7, 0xe9, 0xbb, 0x54, 0x26, 0xc4,
	0x89, 0x21, 0x94, 0xaa, 0xea, 0x1d, 0x3e, 0xdf, 0xf7, 0x1d, 0x8e, 0x8f, 0x7f, 0x0a, 0xf4, 0x83,
	0x8b, 0xcd, 0xe7, 0x15, 0xa1, 0xf1, 0xc6, 0x59, 0x73, 0xea, 0x16, 0x7e, 0x8e, 0x82, 0x90, 0x71,
	0x86, 0x20, 0xaf, 0xd8, 0x9f, 0xc0, 0x5c, 0x32, 0x8f, 0xff, 0x48, 0xd6, 0x94, 0x2c, 0xc8, 0x55,
	0x4c, 0x22, 0x8e, 0x2c, 0xa8, 0xfb, 0xcc, 0x25, 0xe7, 0x6e, 0x64, 0x69, 0x83, 0xea, 0x50, 0x5f,
	0x64, 0x47, 0xdb, 0x04, 0xa3, 0xe0, 0x0e, 0x68, 0x22, 0xf2, 0x33, 0x27, 0x74, 0x1f, 0x9f, 0x2f,
	0xb8, 0x45, 0xfe, 0x23, 0xb4, 0xff, 0xb1, 0x6b, 0x12, 0xfe, 0xf5, 0xbc, 0xd3, 0xf1, 0x36, 0xb4,
	0x72, 0xb3, 0x48, 0x7f, 0x00, 0x23, 0x2d, 0xf8, 0xa7, 0xc3, 0x06, 0xbc, 0x90, 0x5e, 0x91, 0x7d,
	0x0f, 0xad, 0x25, 0x77, 0x78, 0x1c, 0x9d, 0x8e, 0x9e, 0x01, 0xfc, 0x61, 0x2e, 0x49, 0xed, 0x08,
	0x43, 0x23, 0x24, 0x11, 0x8b, 0xc3, 0x35, 0xb1, 0xb4, 0x81, 0x36, 0xd4, 0x17, 0xf2, 0x8c, 0xba,
	0x50, 0xbb, 0x09, 0x7c, 0xe7, 0x92, 0x58, 0x95, 0xad, 0xb2, 0x3b, 0x89, 0x7a, 0xb4, 0x4d, 0x5b,
	0xd5, 0xb4, 0x9e, 0x9e, 0xec, 0x6f, 0xd0, 0xcc, 0x86, 0x08, 0x68, 0x82, 0x46, 0xd2, 0x26, 0x26,
	0x68, 0x8e, 0xbb, 0xa3, 0xc2, 0xe3, 0xe5, 0x23, 0xc8, 0xf8, 0x0c, 0xd0, 0x92, 0x70, 0x21, 0xfc,
	0xf2, 0x3d, 0x96, 0x5d, 0xe4, 0x09, 0x03, 0xda, 0x08, 0x4c, 0xa5, 0x93, 0xd8, 0xd0, 0x1c, 0x3a,
	0x3f, 0x09, 0x25, 0x9c, 0x3c, 0xc7, 0x1f, 0x74, 0xe0, 0xe5, 0x7e, 0xb3, 0x80, 0x26, 0xe3, 0xbb,
	0x0a, 0xc0, 0x44, 0xde, 0x11, 0x4d, 0x41, 0x97, 0x80, 0xa1, 0x5e, 0xf1, 0xf6, 0xfb, 0x94, 0x62,
	0x7c, 0x44, 0x15, 0x7b, 0x9c, 0x82, 0x2e, 0x39, 0x53, 0xdb, 0xec, 0xc3, 0xaa, 0xb6, 0x51, 0xe1,
	0x44, 0xdf, 0xa1, 0xbe, 0x43, 0x06, 0x29, 0x36, 0x95, 0x39, 0x6c, 0x95, 0x6a, 0xa2, 0xc1, 0x04,
	0x1a, 0x19, 0xb0, 0xe8, 0xcd, 0xa1, 0x4b, 0x32, 0x8f, 0x5f, 0x97, 0x8b, 0xa2, 0xc7, 0x57, 0xa8,
	0xed, 0xc0, 0x53, 0x4c, 0x0a, 0xbb, 0xf8, 0x55, 0x99, 0x24, 0xf6, 0x7b, 0xab, 0x81, 0x99, 0xef,
	0xf7, 0xb7, 0xe3, 0x3b, 0x1b, 0x82, 0xe6, 0xd0, 0x2c, 0x3c, 0x36, 0x7a, 0xab, 0x84, 0x0f, 0x78,
	0xc2, 0xbd, 0xa3, 0xba, 0x98, 0xef, 0x3f, 0x18, 0xea, 0xc3, 0xa2, 0x77, 0x45, 0x7f, 0x29, 0x41,
	0xb8, 0xff, 0x90, 0x25, 0xa0, 0xc9, 0xaa, 0xb6, 0xfd, 0x54, 0x7d, 0xb9, 0x0f, 0x00, 0x00, 0xff,
	0xff, 0xbf, 0x83, 0x18, 0xbf, 0xcd, 0x04, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// BelugactldClient is the client API for Belugactld service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type BelugactldClient interface {
	SoftCycle(ctx context.Context, in *SoftCycleRequest, opts ...grpc.CallOption) (*SoftCycleReply, error)
	HardCycle(ctx context.Context, in *HardCycleRequest, opts ...grpc.CallOption) (*HardCycleReply, error)
	PowerOn(ctx context.Context, in *PowerOnRequest, opts ...grpc.CallOption) (*PowerOnReply, error)
	PowerOff(ctx context.Context, in *PowerOffRequest, opts ...grpc.CallOption) (*PowerOffReply, error)
	Status(ctx context.Context, in *StatusRequest, opts ...grpc.CallOption) (*StatusReply, error)
}

type belugactldClient struct {
	cc grpc.ClientConnInterface
}

func NewBelugactldClient(cc grpc.ClientConnInterface) BelugactldClient {
	return &belugactldClient{cc}
}

func (c *belugactldClient) SoftCycle(ctx context.Context, in *SoftCycleRequest, opts ...grpc.CallOption) (*SoftCycleReply, error) {
	out := new(SoftCycleReply)
	err := c.cc.Invoke(ctx, "/belugactld.Belugactld/SoftCycle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *belugactldClient) HardCycle(ctx context.Context, in *HardCycleRequest, opts ...grpc.CallOption) (*HardCycleReply, error) {
	out := new(HardCycleReply)
	err := c.cc.Invoke(ctx, "/belugactld.Belugactld/HardCycle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *belugactldClient) PowerOn(ctx context.Context, in *PowerOnRequest, opts ...grpc.CallOption) (*PowerOnReply, error) {
	out := new(PowerOnReply)
	err := c.cc.Invoke(ctx, "/belugactld.Belugactld/PowerOn", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *belugactldClient) PowerOff(ctx context.Context, in *PowerOffRequest, opts ...grpc.CallOption) (*PowerOffReply, error) {
	out := new(PowerOffReply)
	err := c.cc.Invoke(ctx, "/belugactld.Belugactld/PowerOff", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *belugactldClient) Status(ctx context.Context, in *StatusRequest, opts ...grpc.CallOption) (*StatusReply, error) {
	out := new(StatusReply)
	err := c.cc.Invoke(ctx, "/belugactld.Belugactld/Status", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// BelugactldServer is the server API for Belugactld service.
type BelugactldServer interface {
	SoftCycle(context.Context, *SoftCycleRequest) (*SoftCycleReply, error)
	HardCycle(context.Context, *HardCycleRequest) (*HardCycleReply, error)
	PowerOn(context.Context, *PowerOnRequest) (*PowerOnReply, error)
	PowerOff(context.Context, *PowerOffRequest) (*PowerOffReply, error)
	Status(context.Context, *StatusRequest) (*StatusReply, error)
}

// UnimplementedBelugactldServer can be embedded to have forward compatible implementations.
type UnimplementedBelugactldServer struct {
}

func (*UnimplementedBelugactldServer) SoftCycle(ctx context.Context, req *SoftCycleRequest) (*SoftCycleReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SoftCycle not implemented")
}
func (*UnimplementedBelugactldServer) HardCycle(ctx context.Context, req *HardCycleRequest) (*HardCycleReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method HardCycle not implemented")
}
func (*UnimplementedBelugactldServer) PowerOn(ctx context.Context, req *PowerOnRequest) (*PowerOnReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PowerOn not implemented")
}
func (*UnimplementedBelugactldServer) PowerOff(ctx context.Context, req *PowerOffRequest) (*PowerOffReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PowerOff not implemented")
}
func (*UnimplementedBelugactldServer) Status(ctx context.Context, req *StatusRequest) (*StatusReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Status not implemented")
}

func RegisterBelugactldServer(s *grpc.Server, srv BelugactldServer) {
	s.RegisterService(&_Belugactld_serviceDesc, srv)
}

func _Belugactld_SoftCycle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SoftCycleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BelugactldServer).SoftCycle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/belugactld.Belugactld/SoftCycle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BelugactldServer).SoftCycle(ctx, req.(*SoftCycleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Belugactld_HardCycle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(HardCycleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BelugactldServer).HardCycle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/belugactld.Belugactld/HardCycle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BelugactldServer).HardCycle(ctx, req.(*HardCycleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Belugactld_PowerOn_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PowerOnRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BelugactldServer).PowerOn(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/belugactld.Belugactld/PowerOn",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BelugactldServer).PowerOn(ctx, req.(*PowerOnRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Belugactld_PowerOff_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PowerOffRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BelugactldServer).PowerOff(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/belugactld.Belugactld/PowerOff",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BelugactldServer).PowerOff(ctx, req.(*PowerOffRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Belugactld_Status_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BelugactldServer).Status(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/belugactld.Belugactld/Status",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BelugactldServer).Status(ctx, req.(*StatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Belugactld_serviceDesc = grpc.ServiceDesc{
	ServiceName: "belugactld.Belugactld",
	HandlerType: (*BelugactldServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SoftCycle",
			Handler:    _Belugactld_SoftCycle_Handler,
		},
		{
			MethodName: "HardCycle",
			Handler:    _Belugactld_HardCycle_Handler,
		},
		{
			MethodName: "PowerOn",
			Handler:    _Belugactld_PowerOn_Handler,
		},
		{
			MethodName: "PowerOff",
			Handler:    _Belugactld_PowerOff_Handler,
		},
		{
			MethodName: "Status",
			Handler:    _Belugactld_Status_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "pkg/belugactld/belugactld.proto",
}

// BelugactldManageClient is the client API for BelugactldManage service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type BelugactldManageClient interface {
	// Tell Belugactld that this node is in it's materialzation.
	SetNodeInfo(ctx context.Context, in *SetNodeInfoRequest, opts ...grpc.CallOption) (*SetNodeInfoReply, error)
	DeleteNodeInfo(ctx context.Context, in *DeleteNodeInfoRequest, opts ...grpc.CallOption) (*DeleteNodeInfoReply, error)
}

type belugactldManageClient struct {
	cc grpc.ClientConnInterface
}

func NewBelugactldManageClient(cc grpc.ClientConnInterface) BelugactldManageClient {
	return &belugactldManageClient{cc}
}

func (c *belugactldManageClient) SetNodeInfo(ctx context.Context, in *SetNodeInfoRequest, opts ...grpc.CallOption) (*SetNodeInfoReply, error) {
	out := new(SetNodeInfoReply)
	err := c.cc.Invoke(ctx, "/belugactld.BelugactldManage/SetNodeInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *belugactldManageClient) DeleteNodeInfo(ctx context.Context, in *DeleteNodeInfoRequest, opts ...grpc.CallOption) (*DeleteNodeInfoReply, error) {
	out := new(DeleteNodeInfoReply)
	err := c.cc.Invoke(ctx, "/belugactld.BelugactldManage/DeleteNodeInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// BelugactldManageServer is the server API for BelugactldManage service.
type BelugactldManageServer interface {
	// Tell Belugactld that this node is in it's materialzation.
	SetNodeInfo(context.Context, *SetNodeInfoRequest) (*SetNodeInfoReply, error)
	DeleteNodeInfo(context.Context, *DeleteNodeInfoRequest) (*DeleteNodeInfoReply, error)
}

// UnimplementedBelugactldManageServer can be embedded to have forward compatible implementations.
type UnimplementedBelugactldManageServer struct {
}

func (*UnimplementedBelugactldManageServer) SetNodeInfo(ctx context.Context, req *SetNodeInfoRequest) (*SetNodeInfoReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetNodeInfo not implemented")
}
func (*UnimplementedBelugactldManageServer) DeleteNodeInfo(ctx context.Context, req *DeleteNodeInfoRequest) (*DeleteNodeInfoReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteNodeInfo not implemented")
}

func RegisterBelugactldManageServer(s *grpc.Server, srv BelugactldManageServer) {
	s.RegisterService(&_BelugactldManage_serviceDesc, srv)
}

func _BelugactldManage_SetNodeInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetNodeInfoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BelugactldManageServer).SetNodeInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/belugactld.BelugactldManage/SetNodeInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BelugactldManageServer).SetNodeInfo(ctx, req.(*SetNodeInfoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _BelugactldManage_DeleteNodeInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteNodeInfoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BelugactldManageServer).DeleteNodeInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/belugactld.BelugactldManage/DeleteNodeInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BelugactldManageServer).DeleteNodeInfo(ctx, req.(*DeleteNodeInfoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _BelugactldManage_serviceDesc = grpc.ServiceDesc{
	ServiceName: "belugactld.BelugactldManage",
	HandlerType: (*BelugactldManageServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SetNodeInfo",
			Handler:    _BelugactldManage_SetNodeInfo_Handler,
		},
		{
			MethodName: "DeleteNodeInfo",
			Handler:    _BelugactldManage_DeleteNodeInfo_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "pkg/belugactld/belugactld.proto",
}
